Bug 841434 - prelink does not unlink on uninstall [NEEDINFO]
prelink does not unlink on uninstall
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1019225
  Show dependency treegraph
 
Reported: 2012-07-18 21:39 EDT by Paul Wouters
Modified: 2016-04-21 15:32 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1019225 (view as bug list)
Environment:
Last Closed: 2016-04-21 15:32:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: needinfo? (jakub)
pwouters: needinfo? (jakub)


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-07-18 21:39:04 EDT
When removing prelink, it does not bring back the libraries to the un-prelinked state. This can cause problems, for instance when booting in FIPS mode, and the library sha1 signatures no longer match.

Proposal to add this to the spec file:

%preun
if [ $1 -eq 0 ] ; then
echo "undoing prelinking, one moment please"
prelink -ua
fi

Fedora is getting ready to be able to boot in FIPS mode, and this will help

(another feature to discuss is to run prelink -ua when we find we were run before, but we're in fips mode now so we know it needs to be undone)
Comment 1 Fedora End Of Life 2013-07-03 18:50:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Paul Wouters 2013-07-08 14:19:57 EDT
Still very much present. A simple fix was also put into this rhbz in the description. 

Please fix or give me a reason why you are not fixing this.
Comment 3 Paul Wouters 2013-08-22 12:06:11 EDT
Please let me know if there is a problem with this suggestion.
Comment 5 Sergio Monteiro Basto 2013-10-19 13:01:51 EDT
You may unlink by setting in /etc/sysconfig/prelink,  PRELINKING=no

see /etc/sysconfig/prelink 

# Set this to no to disable prelinking altogether
# (if you change this from yes to no prelink -ua
# will be run next night to undo prelinking)
PRELINKING=yes
Comment 6 Paul Wouters 2013-10-19 22:33:39 EDT
Sergio, that does not help when someone runs rpm -e prelink and the files were prelinked at the time.

prelink should never leave prelinked files behind when it is being uninstalled. It must run prelink -ua in %preun
Comment 7 Sergio Monteiro Basto 2013-11-05 22:12:28 EST
(In reply to Paul Wouters from comment #6)

> prelink should never leave prelinked files behind when it is being
> uninstalled. It must run prelink -ua in %preun

I agree , we should have :

prelink -ua in %preun 


Thanks,
Comment 8 Till Maas 2014-12-13 13:18:17 EST
This is a reminder according to https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

The bug is easy to fix, open for more than two years and there were several requests for a response.
Comment 9 Jan Kurik 2015-07-15 11:05:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 10 Fedora Admin XMLRPC Client 2015-07-25 15:30:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Paul Wouters 2016-04-21 15:32:28 EDT
guess prelink has finally been removed from fedora

Note You need to log in before you can comment on or make changes to this bug.